/*
*
* CwGlInitbuildTempMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-04-29
*/
package com.dhcc.finance.main.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.dhcc.finance.main.domain.CwGlInitbuildTemp;
import com.dhcc.finance.main.domain.CwGlInitbuildTempExample;


public interface CwGlInitbuildTempMapper {

	long countByExample(CwGlInitbuildTempExample example);

	int deleteByExample(CwGlInitbuildTempExample example);

	int insert(CwGlInitbuildTemp record);

	int insertSelective(CwGlInitbuildTemp record);

	List<CwGlInitbuildTemp> selectByExample(CwGlInitbuildTempExample example);

	int updateByExampleSelective(@Param("record") CwGlInitbuildTemp record,
			@Param("example") CwGlInitbuildTempExample example);

	int updateByExample(@Param("record") CwGlInitbuildTemp record, @Param("example") CwGlInitbuildTempExample example);

	int batchInsertCwGlInitbuildTemp(List<CwGlInitbuildTemp> cwGlInitbuildTempList, CwGlInitbuildTemp cwGlInitbuildTemp);

	int batchInsertCwGlInitbuildTemp(Map<String, Object> map);
}